
/* MX LIBRARY FUNCTION:  mxp_errmsg_set_f3
 *
 * PURPOSE:  Set the MX error message.
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000309
 *
 * MOD: 2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxp_errmsg_set_f3 (
  char *function_name,
  int status,
  char *additional_text
){

  char mxfunc[] = "mxp_errmsg_set_f3";
  int mxfunc_status;

  sprintf (
    MX.errmsg,
    "# " "%s" ": status=%d *** ERROR ***\n"
    "%s",
    function_name, status,
    additional_text
  );

ok:
  mxfunc_status = 0;

bye:
  return (mxfunc_status);

}
/* end-of-file */
