
/* MX LIBRARY FUNCTION:  mxp_init_f0
 *
 * PURPOSE:  
 *  
 *   Initialize MX. 
 *
 *   All C programs using the MX library must start with this function. 
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 * 
 * DATE:  20000309
 *
 * MOD: 2
 *
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxp_init_f0 (void){

  char mxfunc[] = "mxp_init_f0";
  int status;

  MX.opened = MX_OPENED;
  /* MX.errmsg[0] = '\0'; */
  mxp_errmsg_init_f0 ();

  /* MX.tmpmsg[0] = '\0'; */
  mxp_tmpmsg_init_f0 ();

ok:
  status = 0;

bye:
  return (status);

}
/* end-of-file */



