#{ 
#  FILE: go.cl
# USAGE: cl < go.cl
#

real n=1000
real fwhm=3.0
bool perfect=yes

real ranx
real smag
real se
string out
int i

unlearn demosnowman
demosnowman.deltax = 5
demosnowman.deltay = 5
demosnowman.perfect = no

out = "data"
delete( out, verify-, >& "dev$null" 

print( "# i, ranx, smag: ")
for (i=0;  i <= n;  i += 1) {

urand( 1, 1, seed=INDEF) | scan (ranx)
smag = 5 + (7.5*ranx)
se = (10**0.4)**(smag)

print( "#", i, ranx, smag, se )

demosnowman( nx_=51, ny_=51, be_=100, se_=se, cpxi_=25, cpyi_=25, fwhm_=fwhm, n_=10, perfect=perfect, >>& out)
tail( out, n=20)

}
#



