/*      FILE: setxy.c
 *   PURPOSE: Initialize the X and Y coordinate values
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

void inc_SetXY_v4(
  double xd[],
  double yd[],
  long xdiml,
  long ydiml
){
  long 
    xl,
    yl,
    jl;
  double
    txd,
    tyd;
  const double offset = 0.5;
  jl = 0;
  for (yl=0; yl<ydiml; yl++) {
    tyd = yl + offset;
    for (xl=0; xl<xdiml; xl++) {
      txd = xl + offset;
      xd[jl] = txd;
      yd[jl] = tyd;
      jl++;
    }
  }
bye:
  return;
}
/* end-of-file */



