/*      FILE: fdelb0.c
 *   PURPOSE: Compute del(model)/del(B_0)
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

int fdelb0_i3(
  double **matrix,
  int nx,
  int ny
){
  int
    status,
    xi,
    yi;
  for (yi=0; yi<ny; yi++) {
    for (xi=0; xi<nx; xi++) {
      matrix[yi][xi] = 1.0;
    }
  }
bye:
  status=0;
error:
  return(status);
}
/* end-of-file */



