# Global MKPKG definitions for the MXTOOLS package.

$set XFLAGS	= "$(XFLAGS) -p mxtools -p stsdas -p tables"
$set LFLAGS	= "$(LFLAGS) -p mxtools -p stsdas -p tables"


# Set a NO_UNDERSCORE flag required for the CVOS on certain systems.
# This is needed to avoid an unresolved "fiocom_" symbol introduced
# as a result of using <stdio.h> from stsdas$lib/cvos/irafstdio.h

$ifeq (MACH, hp700, rs6000) then
     $set XFLAGS = "$(XFLAGS) -DNO_UNDERSCORE"
$endif


# Special-files includes, uncomment and create the files as needed.

#$ifeq (MACH, sparc) then
#$include "mxtools$lib/mkpkg.sf.SUN4"
#$else $ifeq (MACH, ssun) then
#$include "mxtools$lib/mkpkg.sf.SSUN"
#$else $ifeq (MACH, alpha) then
#$include "mxtools$lib/mkpkg.sf.OSF1"
#$else $ifeq (MACH, hp700) then
#$include "mxtools$lib/mkpkg.sf.HP700"
#$else $ifeq (MACH, redhat) then
#$include "mxtools$lib/mkpkg.sf.RHUX"
#$end

