
/* MX LIBRARY FUNCTION:  mxp_dummy_f0
 *
 * PURPOSE:  A template for a MX function. 
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000309
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h" 

int mxp_dummy_f0 (void){

  char mxfunc[] = "mxp_dummy_f0";
  int status;

  /* make sure MX.tmpmsg is an empty string */
  mxp_tmpmsg_init_f0 ();

  /* 
   * do something
   */

ok:
  status = 0;
  goto bye;

error1:
  mxp_errmsg_set_f3 (mxfunc, status, "");
  goto bye;

error2:
  mxp_errmsg_set_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

error3:
  mxp_errmsg_append_f3 (mxfunc, status, "");
  goto bye;

error4:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return (status);

}
/* end-of-file */

