#{ MXTOOLS.CL -- Script to set up tasks in the MXTOOLS package

# load necessary packages here

cl < "mxtools$lib/zzsetenv.def"
package	mxtools, bin = mxtoolsbin$

# native IRAF tasks:
task    mxdemo 		= "mxtools$src/x_mxdemo.e"
task    mxqdphot  	= "mxtools$src/x_mxqdphot.e"
task    qdphot  	= "mxtools$src/x_qdphot.e"
task    wfpc2color	= "mxtools$src/x_wfpc2color.e"
task    snowball	= "mxtools$src/x_snowball.e"
task    matphot0	= "mxtools$src/x_snowball.e"
task    snowman		= "mxtools$src/x_snowman.e"
task    matphot1	= "mxtools$src/x_snowman.e"
task    psfshift	= "mxtools$src/x_psfshift.e"
task    mximstat	= "mxtools$src/x_mximstat.e"
task    mximg2d		= "mxtools$src/x_mximg2d.e"
task    psfstar		= "mxtools$src/x_psfstar.e"
task    strawman	= "mxtools$src/x_strawman.e"
task    matphot2	= "mxtools$src/x_strawman.e"
task    matphot		= "mxtools$src/x_strawman.e"

# CL scripts with parameters:
task	qdcmd		= "mxtools$src/qdcmd/qdcmd.cl"
task	qdwfpc2		= "mxtools$src/qdwfpc2/qdwfpc2.cl"
task	psfprep		= "mxtools$src/psfprep/psfprep.cl"
task	psfobs		= "mxtools$src/psfobs/psfobs.cl"
task	psfg2d		= "mxtools$src/psfg2d/psfg2d.cl"
task	psfdelx		= "mxtools$src/psfdelx/psfdelx.cl"
task	psfdely		= "mxtools$src/psfdely/psfdely.cl"
task	demopsfobs	= "mxtools$src/psfobs/demo/demopsfobs.cl"
task	demosnowball	= "mxtools$src/snowball/demo/demosnowball.cl"
task	demomatphot0	= "mxtools$src/snowball/demo/demosnowball.cl"
task	demosnowman	= "mxtools$src/snowman/demo/demosnowman.cl"
task	demomatphot1	= "mxtools$src/snowman/demo/demosnowman.cl"
task	demostrawman	= "mxtools$src/strawman/demo/demostrawman.cl"
task	demomatphot2	= "mxtools$src/strawman/demo/demostrawman.cl"
task	ngst		= "mxtools$src/strawman/demo/ngst.cl"
task	go_ngst		= "mxtools$src/strawman/demo/go_ngst.cl"
task	demomatphot	= "mxtools$src/strawman/demo/go_ngst.cl"

# CL scripts without parameters:
task	$demoqdphot 	= "mxtools$src/qdphot/demo/demoqdphot.cl"
task	$demowfpc2color = "mxtools$src/wfpc2color/demo/demowfpc2color.cl"

hidetask mxqdphot
hidetask demopsfobs
hidetask snowball
hidetask demosnowball
hidetask matphot0
hidetask demomatphot0
hidetask snowman
hidetask demosnowman
hidetask matphot1
hidetask demomatphot1
hidetask strawman
hidetask demostrawman
hidetask matphot2
hidetask demomatphot2
hidetask ngst
hidetask go_ngst
hidetask demomatphot

# Print a banner message.
type mxtools$mxtools_motd

clbye()

