
/* INCLUDE FILE: mxqdphot0.h
 *
 * PURPOSE:  MXQDPHOT0 routines *must* include this file!
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000316
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#ifndef MXQDPHOT0_H

extern void mxqdphot0_qdt1_vf5 (
  double *outv, 
  int szoutv, 
  int nstr, 
  FILE *out1fd, 
  FILE *out2fd
);

extern void mxqdphot0_qdpsap_vf11 (
double **buff1,
double **buff2,
int nx,
int ny,
int dx,
int dy,
double peakmin,
double peakmax,
double *outv,
int szoutv,
int *nstr_
);

extern void mxqdphot0_qds2_vf5 (
  double **buff, 
  int x1, 
  int y1, 
  double *sgnl_, 
  int *sgnln_
);

extern void mxqdphot0_qdb5_vf5 (
  double **pxm, 
  int x1, 
  int y1, 
  double *bkg_, 
  int *bkgn_
);

extern void mxqdphot0_qdimdn_vf6 (
  double *pxv,
  int px_n,
  double *tv,
  int *median_n_,
  double *median_,
  double *adev_
);

#endif
/* end-of-file */


