#{ 
#  FILE: go_snowman.cl
# USAGE: cl < go_snowman.cl
#

#real n=100
#real fwhm=2.354
#real fwhm=1.5
#real fwhm=4.0
#real fwhm=3.0

int n=1000
real fwhm=1.5
bool perfect=yes

real ranx
real smag
real se
string out
int i

##############################################################################
#
# simulation parameters:
#
n = 100
#fwhm = 2.354
fwhm = 3.0
perfect = yes
unlearn demosnowman
demosnowman.deltax = 2
demosnowman.deltay = 2
demosnowman.perfect = perfect
#
##############################################################################

out = "data"
delete( out, verify-, >& "dev$null" 

print( "# i, ranx, smag: ")
for (i=1;  i <= n;  i += 1) {

urand( 1, 1, seed=INDEF) | scan (ranx)
smag = 5 + (10*ranx) # normal
#smag = 5 + (9*ranx) # use for FWHM=1.5 1x1 (mag<14 leads to PANIC attacks)
se = (10**0.4)**(smag)

print( "# GO_SNOWMAN", i, ranx, -smag, " -->", se, " : fwhm=", fwhm)

demosnowman( nx_=60, ny_=60, be_=100, se_=se, cpxi_=30, cpyi_=30, fwhm_=fwhm, n_=10, perfect=perfect, >>& out)
tail( out, n=20)

}
#








