/*      FILE: fdelbx.c
 *   PURPOSE: Compute del(model)/del(B_X)
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

int fdelbx_i4(
  double **matrix,
  double **xmatrix,
  int nx,
  int ny
){
  int
    status,
    xi,
    yi;
  for (yi=0; yi<ny; yi++) {
    for (xi=0; xi<nx; xi++) {
      matrix[yi][xi] = xmatrix[yi][xi];
    }
  }
bye:
  status=0;
error:
  return(status);
}
/* end-of-file */



